<?php
/** Ha létezik az email cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['admin_email'])) 
{
  $admin_email = $_COOKIE['admin_email'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $admin_email = "";
}

/** Ha létezik a jelszó cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['admin_jelszo'])) 
{
  $admin_jelszo = $_COOKIE['admin_jelszo'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $admin_jelszo = "";
}

$belepve = 0;

/** Ha az email és a jelszó változók nem üresek, 
  * akkor adatbázisból lekérdezzük az email-jelszó pároshoz tartozó sort, 
  * és az id, valamint a név mezot elmentjük két változóban. 
  */
if ($admin_email != "" AND $admin_jelszo != "") 
{

  $most = date("Y-m-d H:i:s");

  $parancs = "SELECT * from adminok WHERE email='$admin_email' AND password='$admin_jelszo'";
  $eredmeny = mysql_query($parancs);
 
  if (mysql_num_rows($eredmeny) > 0) 
  {
    $sor = mysql_fetch_array($eredmeny);
    $admin_id = $sor["id"];
    $admin_email = $sor["email"];
	
	/** A belépve változót 1-re állítjuk ami azt jelenti, hogy a felhasználó be van lépve. */
    $belepve = 1;
	
  }

}
?>

<?php
//lapozás beállítása
if(!isset($kateg) or empty($kateg))
{
  $kateg = 1;
}

if (!isset($oldal)) {
  $oldal = 1;
}
if (!isset($laponkent)) {
  $laponkent = 5;
}
	
$mettol = ($oldal - 1) * $laponkent;

$sql = "SELECT count(*) as osszes FROM termekek WHERE raktaron=1 AND kateg=$kateg";
$qr = mysql_query($sql);
$sor = mysql_fetch_array($qr);
$osszes = $sor["osszes"];

$oldalak = ceil($osszes/$laponkent);
?>
